#!/bin/bash
#Description: DevKit constants
#Copyright: Copyright © Huawei Technologies Co., Ltd. 2023. All rights reserved.
#History: 2023-2-9 created

function init_variable() {
	if [ ! -f "${INSTALL_PATH}/tools/log.sh" ]; then
	    echo "There is no log file(${INSTALL_PATH}/tools/log.sh), please check!"
		exit "${ERROR}"
	fi
	source ${INSTALL_PATH}/tools/log.sh
	INSTALL_INI_PATH="${INSTALL_PATH}/config/install.ini"
	if [[ ! -f "${INSTALL_INI_PATH}" ]]; then
		echo_and_log "There is no configure file(${INSTALL_INI_PATH}), please check!" "${ERROR}"
		exit "${ERROR}"
	fi
	USER_PATH="$(grep -w USER_PATH "${INSTALL_INI_PATH}" | awk -F= '{if($2 !="") print $2}')"
	USER_NAME="$(grep -w USER_NAME "${INSTALL_INI_PATH}" | awk -F= '{if($2 !="") print $2}')"
    os_type=$(grep -w OS_TYPE "${INSTALL_INI_PATH}" | awk -F= '{if($2 !="") print $2}')
    os_version=$(grep -w OS_VERSION "${INSTALL_INI_PATH}" | awk -F= '{if($2 !="") print $2}')
    plugin_name="affinity"
	INSTALL_LOG_PATH="${INSTALL_PATH}/logs/install_plugins.log"
	INSTALL_PLUGIN_PATH="${INSTALL_PATH}/devkitplugins"
	# 插件压缩包存档路径
	PYTHON_PATH="${INSTALL_PATH}/tools/python_venv/bin/python3"
}

function clean_library_file() {
    file_path="${USER_PATH}/lib/libstdc++.so.6"
    if [ -e "${file_path}" ]; then
        rm -rf ${file_path}*
    fi
}

function main() {
	INSTALL_PATH="$1" # /opt/DevKit
	init_variable
	clean_library_file
}

main $@